summaryrefslogtreecommitdiff
path: root/osx-resources/InstallationCheck
diff options
context:
space:
mode:
Diffstat (limited to 'osx-resources/InstallationCheck')
-rwxr-xr-xosx-resources/InstallationCheck14
1 files changed, 14 insertions, 0 deletions
diff --git a/osx-resources/InstallationCheck b/osx-resources/InstallationCheck
new file mode 100755
index 000000000..4149b4c31
--- /dev/null
+++ b/osx-resources/InstallationCheck
@@ -0,0 +1,14 @@
+#!/bin/sh
+cputype=`sysctl -n hw.cputype`
+sixtyfourbit=`sysctl -n hw.cpu64bit_capable`
+
+if [ "x$cputype" != "x7" ] # x86
+then
+ exit 112
+fi
+
+if [ "x$sixtyfourbit" != "x1" ] # 64 bit
+then
+ exit 113
+fi
+